-------------------------------------------------------------------------------
-- AddOn namespace.
-------------------------------------------------------------------------------
local FOLDER_NAME, private = ...

private.ACHIEVEMENTS = {
	11628, --That's So Last Millennium
	11629, --Untamed Beauty
	11630, --More Like Win-dictive
	11631, --Extreme Makeover: Fel Edition
	11706, --The Original
	11707, --No Mercy
	11708, --With a Vengeance
	11709, --Tough Threads
	11710, --Lethal Looks
	11711, --The Fierce and the Furious
	11712, --Relentlessly Good Looking
	11713, --Wrath of the Stitch King
	11714, --Viciously Vintage
	11715, --(Ruth)less is More
	11716, --Cataclysmic Catwalk
	11717, --Why Male(volent) Models?
	11718, --Dressed to Oppress
	11719, --It's Not Fashion Unless It Hurts
	11720, --Wear It With Pride
	11721, --Wild Style
	11722, --War-Mog-ering
	11723, --Cruel Intentions
	11740, --Make it W-orc W-orc
	11741, --So Hot Right Now
	11742, --Dress in Lairs
	11743, --Accessor-Eyes
	11746, --Outlandish Style
	11747, --Merely a Set
	11748, --Black is the New Black
	11749, --Suns Out, Thori'dals Out
	11750, --Undying Aesthetic
	11751, --Mogg-Saron
	11752, --Style of the Crusader
	11753, --Winter Catalog
	11754, --Glamour of Twilight
	11755, --Hot Couture
	11756, --Wardrobe of the Old Gods
	11757, --Sha of Fabulous
	11758, --Thunderwear
	11759, --Yaass'shaarj
	11760, --Retro Trend
	11762, --Can I Get A Helya
	12020, --Argussy Up
	12021, --Claws Out
	12991, --New Mog, G'huun This?
	12993, --Don't Warfront Me
	13385, --Daz'aling Attire (Batalla de Dazar'alor)
	13433, --Tall, Dark, and Sinister (Temporada 2 de Battle for Azeroth y frente de guerra de Costa Oscura)
	13571, --Under the Seams (Palacio Eterno)
	--13585, --Never Lose, Never Choose To
	14058, --All Eyes On Me (Ny'alotha, Ciudad del Despertar)
	14059, --The Eyes Have It (Temporada 4 de Battle for Azeroth)
	14614, --Castle Vain (Castillo de Nathria)
	14831 --I Live, I Die, I Queue Again (Temporada 1 de Battle for Azeroth y frente de guerra de Arathi)
}

local C_IDS = {
	warrior = 1,
	paladin = 2,
	hunter = 3,
	rogue = 4,
	priest = 5,
	deathknight = 6,
	shaman = 7,
	mage = 8,
	warlock = 9,
	monk = 10,
	druid = 11,
	demonhunter = 12
}

private.ACHIVE_BASESET = {
	[11628] = { --Bastión Nocturno
		[C_IDS.warrior] = { horde = 937, alliance = 937 };
		[C_IDS.paladin] = { horde = 978, alliance = 978 };
		[C_IDS.hunter] = { horde = 990, alliance = 990 };
		[C_IDS.rogue] = { horde = 942, alliance = 942 };
		[C_IDS.priest] = { horde = 308, alliance = 308 };
		[C_IDS.deathknight] = { horde = 1002, alliance = 1002 };
		[C_IDS.shaman] = { horde = 933, alliance = 933 };
		[C_IDS.mage] = { horde = 986, alliance = 986 };
		[C_IDS.warlock] = { horde = 315, alliance = 315 };
		[C_IDS.monk] = { horde = 982, alliance = 982 };
		[C_IDS.druid] = { horde = 994, alliance = 994 };
		[C_IDS.demonhunter] = { horde = 998, alliance = 998 };
	};
	[11629] = { --Warlords temporada 1
		[C_IDS.warrior] = { horde = 135, alliance = 136 };
		[C_IDS.paladin] = { horde = 141, alliance = 142 };
		[C_IDS.hunter] = { horde = 123, alliance = 124 };
		[C_IDS.rogue] = { horde = 133, alliance = 134 };
		[C_IDS.priest] = { horde = 139, alliance = 140 };
		[C_IDS.deathknight] = { horde = 127, alliance = 128 };
		[C_IDS.shaman] = { horde = 137, alliance = 138 };
		[C_IDS.mage] = { horde = 143, alliance = 144 };
		[C_IDS.warlock] = { horde = 129, alliance = 130 };
		[C_IDS.monk] = { horde = 131, alliance = 132 };
		[C_IDS.druid] = { horde = 125, alliance = 126 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11630] = { --Temporadas 1 y 2 de Legion
		[C_IDS.warrior] = { horde = 1134, alliance = 1133 };
		[C_IDS.paladin] = { horde = 1122, alliance = 1121 };
		[C_IDS.hunter] = { horde = 1114, alliance = 1113 };
		[C_IDS.rogue] = { horde = 1126, alliance = 1125 };
		[C_IDS.priest] = { horde = 390, alliance = 388 };
		[C_IDS.deathknight] = { horde = 1105, alliance = 1106 };
		[C_IDS.shaman] = { horde = 1130, alliance = 1129 };
		[C_IDS.mage] = { horde = 1093, alliance = 1094 };
		[C_IDS.warlock] = { horde = 1102, alliance = 1101 };
		[C_IDS.monk] = { horde = 1118, alliance = 1117 };
		[C_IDS.druid] = { horde = 1097, alliance = 1098 };
		[C_IDS.demonhunter] = { horde = 1109, alliance = 1110 };
	};
	[11631] = { --Ciudadela del Fuego Infernal
		[C_IDS.warrior] = { horde = 432, alliance = 432 };
		[C_IDS.paladin] = { horde = 480, alliance = 480 };
		[C_IDS.hunter] = { horde = 583, alliance = 583 };
		[C_IDS.rogue] = { horde = 465, alliance = 465 };
		[C_IDS.priest] = { horde = 323, alliance = 323 };
		[C_IDS.deathknight] = { horde = 566, alliance = 566 };
		[C_IDS.shaman] = { horde = 415, alliance = 415 };
		[C_IDS.mage] = { horde = 517, alliance = 517 };
		[C_IDS.warlock] = { horde = 449, alliance = 449 };
		[C_IDS.monk] = { horde = 502, alliance = 502 };
		[C_IDS.druid] = { horde = 551, alliance = 551 };
		[C_IDS.demonhunter] = { horde = 582, alliance = 582 };
	};
	[11706] = { --Temporada 1
		[C_IDS.warrior] = { horde = 381, alliance = 381 };
		[C_IDS.paladin] = { horde = 974, alliance = 974 };
		[C_IDS.hunter] = { horde = 976, alliance = 976 };
		[C_IDS.rogue] = { horde = 972, alliance = 972 };
		[C_IDS.priest] = { horde = 973, alliance = 973 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 971, alliance = 971 };
		[C_IDS.mage] = { horde = 975, alliance = 975 };
		[C_IDS.warlock] = { horde = 970, alliance = 970 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 977, alliance = 977 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11707] = { --Temporada 2
		[C_IDS.warrior] = { horde = 962, alliance = 962 };
		[C_IDS.paladin] = { horde = 966, alliance = 966 };
		[C_IDS.hunter] = { horde = 968, alliance = 968 };
		[C_IDS.rogue] = { horde = 965, alliance = 965 };
		[C_IDS.priest] = { horde = 380, alliance = 380 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 964, alliance = 964 };
		[C_IDS.mage] = { horde = 967, alliance = 967 };
		[C_IDS.warlock] = { horde = 963, alliance = 963 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 969, alliance = 969 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11708] = { --Temporada 3
		[C_IDS.warrior] = { horde = 954, alliance = 954 };
		[C_IDS.paladin] = { horde = 958, alliance = 958 };
		[C_IDS.hunter] = { horde = 960, alliance = 960 };
		[C_IDS.rogue] = { horde = 957, alliance = 957 };
		[C_IDS.priest] = { horde = 379, alliance = 379 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 956, alliance = 956 };
		[C_IDS.mage] = { horde = 959, alliance = 959 };
		[C_IDS.warlock] = { horde = 955, alliance = 955 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 961, alliance = 961 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11709] = { --Temporada 4
		[C_IDS.warrior] = { horde = 946, alliance = 946 };
		[C_IDS.paladin] = { horde = 950, alliance = 950 };
		[C_IDS.hunter] = { horde = 952, alliance = 952 };
		[C_IDS.rogue] = { horde = 949, alliance = 949 };
		[C_IDS.priest] = { horde = 378, alliance = 378 };
		[C_IDS.deathknight] = { horde = 1202, alliance = 1202 };
		[C_IDS.shaman] = { horde = 948, alliance = 948 };
		[C_IDS.mage] = { horde = 951, alliance = 951 };
		[C_IDS.warlock] = { horde = 947, alliance = 947 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 953, alliance = 953 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11710] = { --Temporada 5
		[C_IDS.warrior] = { horde = 788, alliance = 788 };
		[C_IDS.paladin] = { horde = 792, alliance = 792 };
		[C_IDS.hunter] = { horde = 794, alliance = 794 };
		[C_IDS.rogue] = { horde = 791, alliance = 791 };
		[C_IDS.priest] = { horde = 375, alliance = 375 };
		[C_IDS.deathknight] = { horde = 796, alliance = 796 };
		[C_IDS.shaman] = { horde = 790, alliance = 790 };
		[C_IDS.mage] = { horde = 793, alliance = 793 };
		[C_IDS.warlock] = { horde = 789, alliance = 789 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 795, alliance = 795 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11711] = { --Temporada 6
		[C_IDS.warrior] = { horde = 779, alliance = 779 };
		[C_IDS.paladin] = { horde = 783, alliance = 783 };
		[C_IDS.hunter] = { horde = 785, alliance = 785 };
		[C_IDS.rogue] = { horde = 782, alliance = 782 };
		[C_IDS.priest] = { horde = 374, alliance = 374 };
		[C_IDS.deathknight] = { horde = 787, alliance = 787 };
		[C_IDS.shaman] = { horde = 781, alliance = 781 };
		[C_IDS.mage] = { horde = 784, alliance = 784 };
		[C_IDS.warlock] = { horde = 780, alliance = 780 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 786, alliance = 786 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11712] = { --Temporada 7
		[C_IDS.warrior] = { horde = 770, alliance = 770 };
		[C_IDS.paladin] = { horde = 774, alliance = 774 };
		[C_IDS.hunter] = { horde = 776, alliance = 776 };
		[C_IDS.rogue] = { horde = 773, alliance = 773 };
		[C_IDS.priest] = { horde = 373, alliance = 373 };
		[C_IDS.deathknight] = { horde = 778, alliance = 778 };
		[C_IDS.shaman] = { horde = 772, alliance = 772 };
		[C_IDS.mage] = { horde = 775, alliance = 775 };
		[C_IDS.warlock] = { horde = 771, alliance = 771 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 777, alliance = 777 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11713] = { --Temporada 8
		[C_IDS.warrior] = { horde = 761, alliance = 761 };
		[C_IDS.paladin] = { horde = 765, alliance = 765 };
		[C_IDS.hunter] = { horde = 767, alliance = 767 };
		[C_IDS.rogue] = { horde = 764, alliance = 764 };
		[C_IDS.priest] = { horde = 372, alliance = 372 };
		[C_IDS.deathknight] = { horde = 769, alliance = 769 };
		[C_IDS.shaman] = { horde = 763, alliance = 763 };
		[C_IDS.mage] = { horde = 766, alliance = 766 };
		[C_IDS.warlock] = { horde = 762, alliance = 762 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 768, alliance = 768 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11714] = { --Temporada 9
		[C_IDS.warrior] = { horde = 626, alliance = 626 };
		[C_IDS.paladin] = { horde = 751, alliance = 751 };
		[C_IDS.hunter] = { horde = 755, alliance = 755 };
		[C_IDS.rogue] = { horde = 749, alliance = 749 };
		[C_IDS.priest] = { horde = 369, alliance = 369 };
		[C_IDS.deathknight] = { horde = 759, alliance = 759 };
		[C_IDS.shaman] = { horde = 747, alliance = 747 };
		[C_IDS.mage] = { horde = 753, alliance = 753 };
		[C_IDS.warlock] = { horde = 628, alliance = 628 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 757, alliance = 757 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11715] = { --Temporada 10
		[C_IDS.warrior] = { horde = 606, alliance = 606 };
		[C_IDS.paladin] = { horde = 616, alliance = 616 };
		[C_IDS.hunter] = { horde = 620, alliance = 620 };
		[C_IDS.rogue] = { horde = 615, alliance = 615 };
		[C_IDS.priest] = { horde = 612, alliance = 612 };
		[C_IDS.deathknight] = { horde = 624, alliance = 624 };
		[C_IDS.shaman] = { horde = 610, alliance = 610 };
		[C_IDS.mage] = { horde = 618, alliance = 618 };
		[C_IDS.warlock] = { horde = 608, alliance = 608 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 622, alliance = 622 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11716] = { --Temporada 11
		[C_IDS.warrior] = { horde = 588, alliance = 588 };
		[C_IDS.paladin] = { horde = 596, alliance = 596 };
		[C_IDS.hunter] = { horde = 600, alliance = 600 };
		[C_IDS.rogue] = { horde = 594, alliance = 594 };
		[C_IDS.priest] = { horde = 365, alliance = 365 };
		[C_IDS.deathknight] = { horde = 604, alliance = 604 };
		[C_IDS.shaman] = { horde = 592, alliance = 592 };
		[C_IDS.mage] = { horde = 598, alliance = 598 };
		[C_IDS.warlock] = { horde = 590, alliance = 590 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 602, alliance = 602 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11717] = { --Temporada 12
		[C_IDS.warrior] = { horde = 278, alliance = 278 };
		[C_IDS.paladin] = { horde = 277, alliance = 277 };
		[C_IDS.hunter] = { horde = 286, alliance = 286 };
		[C_IDS.rogue] = { horde = 280, alliance = 280 };
		[C_IDS.priest] = { horde = 282, alliance = 282 };
		[C_IDS.deathknight] = { horde = 285, alliance = 285 };
		[C_IDS.shaman] = { horde = 284, alliance = 284 };
		[C_IDS.mage] = { horde = 276, alliance = 276 };
		[C_IDS.warlock] = { horde = 283, alliance = 283 };
		[C_IDS.monk] = { horde = 1059, alliance = 1059 };
		[C_IDS.druid] = { horde = 281, alliance = 281 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11718] = { --Temporada 13
		[C_IDS.warrior] = { horde = 261, alliance = 271 };
		[C_IDS.paladin] = { horde = 263, alliance = 274 };
		[C_IDS.hunter] = { horde = 254, alliance = 265 };
		[C_IDS.rogue] = { horde = 260, alliance = 270 };
		[C_IDS.priest] = { horde = 258, alliance = 273 };
		[C_IDS.deathknight] = { horde = 256, alliance = 267 };
		[C_IDS.shaman] = { horde = 262, alliance = 272 };
		[C_IDS.mage] = { horde = 264, alliance = 275 };
		[C_IDS.warlock] = { horde = 257, alliance = 268 };
		[C_IDS.monk] = { horde = 259, alliance = 269 };
		[C_IDS.druid] = { horde = 255, alliance = 266 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11719] = { --Temporada 14
		[C_IDS.warrior] = { horde = 205, alliance = 215 };
		[C_IDS.paladin] = { horde = 208, alliance = 218 };
		[C_IDS.hunter] = { horde = 198, alliance = 199 };
		[C_IDS.rogue] = { horde = 204, alliance = 214 };
		[C_IDS.priest] = { horde = 207, alliance = 217 };
		[C_IDS.deathknight] = { horde = 201, alliance = 211 };
		[C_IDS.shaman] = { horde = 206, alliance = 216 };
		[C_IDS.mage] = { horde = 209, alliance = 219 };
		[C_IDS.warlock] = { horde = 202, alliance = 212 };
		[C_IDS.monk] = { horde = 203, alliance = 213 };
		[C_IDS.druid] = { horde = 200, alliance = 210 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11720] = { --Temporada 15
		[C_IDS.warrior] = { horde = 249, alliance = 238 };
		[C_IDS.paladin] = { horde = 252, alliance = 241 };
		[C_IDS.hunter] = { horde = 243, alliance = 232 };
		[C_IDS.rogue] = { horde = 248, alliance = 237 };
		[C_IDS.priest] = { horde = 251, alliance = 240 };
		[C_IDS.deathknight] = { horde = 245, alliance = 234 };
		[C_IDS.shaman] = { horde = 250, alliance = 239 };
		[C_IDS.mage] = { horde = 253, alliance = 242 };
		[C_IDS.warlock] = { horde = 246, alliance = 235 };
		[C_IDS.monk] = { horde = 247, alliance = 236 };
		[C_IDS.druid] = { horde = 244, alliance = 233 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11721] = { --Warlords temporada 2
		[C_IDS.warrior] = { horde = 91, alliance = 92 };
		[C_IDS.paladin] = { horde = 93, alliance = 94 };
		[C_IDS.hunter] = { horde = 79, alliance = 80 };
		[C_IDS.rogue] = { horde = 86, alliance = 85 };
		[C_IDS.priest] = { horde = 97, alliance = 98 };
		[C_IDS.deathknight] = { horde = 89, alliance = 90 };
		[C_IDS.shaman] = { horde = 82, alliance = 81 };
		[C_IDS.mage] = { horde = 99, alliance = 100 };
		[C_IDS.warlock] = { horde = 95, alliance = 96 };
		[C_IDS.monk] = { horde = 87, alliance = 88 };
		[C_IDS.druid] = { horde = 83, alliance = 84 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11722] = { --Warlords temporada 3
		[C_IDS.warrior] = { horde = 115, alliance = 116 };
		[C_IDS.paladin] = { horde = 119, alliance = 120 };
		[C_IDS.hunter] = { horde = 101, alliance = 102 };
		[C_IDS.rogue] = { horde = 113, alliance = 114 };
		[C_IDS.priest] = { horde = 117, alliance = 118 };
		[C_IDS.deathknight] = { horde = 107, alliance = 108 };
		[C_IDS.shaman] = { horde = 103, alliance = 104 };
		[C_IDS.mage] = { horde = 121, alliance = 122 };
		[C_IDS.warlock] = { horde = 109, alliance = 110 };
		[C_IDS.monk] = { horde = 111, alliance = 112 };
		[C_IDS.druid] = { horde = 105, alliance = 106 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11723] = { --Temporadas 3 y 4 de Legion
		[C_IDS.warrior] = { horde = 1226, alliance = 1225 };
		[C_IDS.paladin] = { horde = 1242, alliance = 1241 };
		[C_IDS.hunter] = { horde = 1253, alliance = 1254 };
		[C_IDS.rogue] = { horde = 1238, alliance = 1237 };
		[C_IDS.priest] = { horde = 391, alliance = 389 };
		[C_IDS.deathknight] = { horde = 1266, alliance = 1265 };
		[C_IDS.shaman] = { horde = 1234, alliance = 1233 };
		[C_IDS.mage] = { horde = 1250, alliance = 1249 };
		[C_IDS.warlock] = { horde = 1230, alliance = 1229 };
		[C_IDS.monk] = { horde = 1246, alliance = 1245 };
		[C_IDS.druid] = { horde = 1258, alliance = 1257 };
		[C_IDS.demonhunter] = { horde = 1261, alliance = 1262 };
	};
	[11740] = { --Fundición Roca Negra
		[C_IDS.warrior] = { horde = 435, alliance = 435 };
		[C_IDS.paladin] = { horde = 483, alliance = 483 };
		[C_IDS.hunter] = { horde = 536, alliance = 536 };
		[C_IDS.rogue] = { horde = 468, alliance = 468 };
		[C_IDS.priest] = { horde = 327, alliance = 327 };
		[C_IDS.deathknight] = { horde = 569, alliance = 569 };
		[C_IDS.shaman] = { horde = 418, alliance = 418 };
		[C_IDS.mage] = { horde = 520, alliance = 520 };
		[C_IDS.warlock] = { horde = 452, alliance = 452 };
		[C_IDS.monk] = { horde = 498, alliance = 498 };
		[C_IDS.druid] = { horde = 554, alliance = 554 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11741] = { --Núcleo de Magma
		[C_IDS.warrior] = { horde = 853, alliance = 853 };
		[C_IDS.paladin] = { horde = 902, alliance = 902 };
		[C_IDS.hunter] = { horde = 917, alliance = 917 };
		[C_IDS.rogue] = { horde = 894, alliance = 894 };
		[C_IDS.priest] = { horde = 357, alliance = 357 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 876, alliance = 876 };
		[C_IDS.mage] = { horde = 910, alliance = 910 };
		[C_IDS.warlock] = { horde = 868, alliance = 868 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 928, alliance = 928 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11742] = { --Guarida de Alanegra
		[C_IDS.warrior] = { horde = 852, alliance = 852 };
		[C_IDS.paladin] = { horde = 901, alliance = 901 };
		[C_IDS.hunter] = { horde = 916, alliance = 916 };
		[C_IDS.rogue] = { horde = 893, alliance = 893 };
		[C_IDS.priest] = { horde = 356, alliance = 356 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 875, alliance = 875 };
		[C_IDS.mage] = { horde = 909, alliance = 909 };
		[C_IDS.warlock] = { horde = 867, alliance = 867 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 927, alliance = 927 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11743] = { --Templo de Ahn'Qiraj
		[C_IDS.warrior] = { horde = 851, alliance = 851 };
		[C_IDS.paladin] = { horde = 900, alliance = 900 };
		[C_IDS.hunter] = { horde = 915, alliance = 915 };
		[C_IDS.rogue] = { horde = 892, alliance = 892 };
		[C_IDS.priest] = { horde = 358, alliance = 358 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 874, alliance = 874 };
		[C_IDS.mage] = { horde = 908, alliance = 908 };
		[C_IDS.warlock] = { horde = 866, alliance = 866 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 926, alliance = 926 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11746] = { --Guarida de Gruul
		[C_IDS.warrior] = { horde = 849, alliance = 849 };
		[C_IDS.paladin] = { horde = 906, alliance = 906 };
		[C_IDS.hunter] = { horde = 913, alliance = 913 };
		[C_IDS.rogue] = { horde = 890, alliance = 890 };
		[C_IDS.priest] = { horde = 354, alliance = 354 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 872, alliance = 872 };
		[C_IDS.mage] = { horde = 898, alliance = 898 };
		[C_IDS.warlock] = { horde = 864, alliance = 864 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 922, alliance = 922 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11747] = { --Caverna Santuario Serpiente
		[C_IDS.warrior] = { horde = 848, alliance = 848 };
		[C_IDS.paladin] = { horde = 897, alliance = 897 };
		[C_IDS.hunter] = { horde = 918, alliance = 918 };
		[C_IDS.rogue] = { horde = 889, alliance = 889 };
		[C_IDS.priest] = { horde = 353, alliance = 353 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 871, alliance = 871 };
		[C_IDS.mage] = { horde = 905, alliance = 905 };
		[C_IDS.warlock] = { horde = 863, alliance = 863 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 921, alliance = 921 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11748] = { --Templo Oscuro
		[C_IDS.warrior] = { horde = 847, alliance = 847 };
		[C_IDS.paladin] = { horde = 896, alliance = 896 };
		[C_IDS.hunter] = { horde = 912, alliance = 912 };
		[C_IDS.rogue] = { horde = 888, alliance = 888 };
		[C_IDS.priest] = { horde = 351, alliance = 351 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 870, alliance = 870 };
		[C_IDS.mage] = { horde = 904, alliance = 904 };
		[C_IDS.warlock] = { horde = 862, alliance = 862 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 920, alliance = 920 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11749] = { --Meseta de La Fuente del Sol
		[C_IDS.warrior] = { horde = 931, alliance = 931 };
		[C_IDS.paladin] = { horde = 895, alliance = 895 };
		[C_IDS.hunter] = { horde = 911, alliance = 911 };
		[C_IDS.rogue] = { horde = 887, alliance = 887 };
		[C_IDS.priest] = { horde = 352, alliance = 352 };
		[C_IDS.deathknight] = { horde = nil, alliance = nil };
		[C_IDS.shaman] = { horde = 869, alliance = 869 };
		[C_IDS.mage] = { horde = 903, alliance = 903 };
		[C_IDS.warlock] = { horde = 932, alliance = 932 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 919, alliance = 919 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11750] = { --Naxxramas
		[C_IDS.warrior] = { horde = 661, alliance = 661 };
		[C_IDS.paladin] = { horde = 710, alliance = 710 };
		[C_IDS.hunter] = { horde = 742, alliance = 742 };
		[C_IDS.rogue] = { horde = 694, alliance = 694 };
		[C_IDS.priest] = { horde = 361, alliance = 361 };
		[C_IDS.deathknight] = { horde = 845, alliance = 845 };
		[C_IDS.shaman] = { horde = 644, alliance = 644 };
		[C_IDS.mage] = { horde = 726, alliance = 726 };
		[C_IDS.warlock] = { horde = 678, alliance = 678 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 829, alliance = 829 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11751] = { --Ulduar
		[C_IDS.warrior] = { horde = 659, alliance = 659 };
		[C_IDS.paladin] = { horde = 708, alliance = 708 };
		[C_IDS.hunter] = { horde = 740, alliance = 740 };
		[C_IDS.rogue] = { horde = 692, alliance = 692 };
		[C_IDS.priest] = { horde = 363, alliance = 363 };
		[C_IDS.deathknight] = { horde = 843, alliance = 843 };
		[C_IDS.shaman] = { horde = 642, alliance = 642 };
		[C_IDS.mage] = { horde = 724, alliance = 724 };
		[C_IDS.warlock] = { horde = 676, alliance = 676 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 827, alliance = 827 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11752] = { --Prueba del Cruzado
		[C_IDS.warrior] = { horde = 657, alliance = 658 };
		[C_IDS.paladin] = { horde = 707, alliance = 706 };
		[C_IDS.hunter] = { horde = 738, alliance = 739 };
		[C_IDS.rogue] = { horde = 691, alliance = 690 };
		[C_IDS.priest] = { horde = 350, alliance = 349 };
		[C_IDS.deathknight] = { horde = 841, alliance = 842 };
		[C_IDS.shaman] = { horde = 641, alliance = 640 };
		[C_IDS.mage] = { horde = 723, alliance = 722 };
		[C_IDS.warlock] = { horde = 675, alliance = 674 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 826, alliance = 825 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11753] = { --Ciudadela de la Corona de Hielo
		[C_IDS.warrior] = { horde = 655, alliance = 655 };
		[C_IDS.paladin] = { horde = 703, alliance = 703 };
		[C_IDS.hunter] = { horde = 735, alliance = 735 };
		[C_IDS.rogue] = { horde = 687, alliance = 687 };
		[C_IDS.priest] = { horde = 346, alliance = 346 };
		[C_IDS.deathknight] = { horde = 838, alliance = 838 };
		[C_IDS.shaman] = { horde = 637, alliance = 637 };
		[C_IDS.mage] = { horde = 719, alliance = 719 };
		[C_IDS.warlock] = { horde = 671, alliance = 671 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 822, alliance = 822 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11754] = { --El Bastión del Crepúsculo
		[C_IDS.warrior] = { horde = 653, alliance = 653 };
		[C_IDS.paladin] = { horde = 701, alliance = 701 };
		[C_IDS.hunter] = { horde = 733, alliance = 733 };
		[C_IDS.rogue] = { horde = 685, alliance = 685 };
		[C_IDS.priest] = { horde = 344, alliance = 344 };
		[C_IDS.deathknight] = { horde = 836, alliance = 836 };
		[C_IDS.shaman] = { horde = 635, alliance = 635 };
		[C_IDS.mage] = { horde = 717, alliance = 717 };
		[C_IDS.warlock] = { horde = 669, alliance = 669 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 820, alliance = 820 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11755] = { --Tierras de Fuego
		[C_IDS.warrior] = { horde = 651, alliance = 651 };
		[C_IDS.paladin] = { horde = 699, alliance = 699 };
		[C_IDS.hunter] = { horde = 731, alliance = 731 };
		[C_IDS.rogue] = { horde = 683, alliance = 683 };
		[C_IDS.priest] = { horde = 342, alliance = 342 };
		[C_IDS.deathknight] = { horde = 834, alliance = 834 };
		[C_IDS.shaman] = { horde = 633, alliance = 633 };
		[C_IDS.mage] = { horde = 715, alliance = 715 };
		[C_IDS.warlock] = { horde = 667, alliance = 667 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 818, alliance = 818 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11756] = { --Alma de Dragón
		[C_IDS.warrior] = { horde = 649, alliance = 649 };
		[C_IDS.paladin] = { horde = 696, alliance = 696 };
		[C_IDS.hunter] = { horde = 728, alliance = 728 };
		[C_IDS.rogue] = { horde = 680, alliance = 680 };
		[C_IDS.priest] = { horde = 339, alliance = 339 };
		[C_IDS.deathknight] = { horde = 831, alliance = 831 };
		[C_IDS.shaman] = { horde = 630, alliance = 630 };
		[C_IDS.mage] = { horde = 712, alliance = 712 };
		[C_IDS.warlock] = { horde = 664, alliance = 664 };
		[C_IDS.monk] = { horde = nil, alliance = nil };
		[C_IDS.druid] = { horde = 815, alliance = 815 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11757] = { --Corazón del Miedo
		[C_IDS.warrior] = { horde = 444, alliance = 444 };
		[C_IDS.paladin] = { horde = 493, alliance = 493 };
		[C_IDS.hunter] = { horde = 545, alliance = 545 };
		[C_IDS.rogue] = { horde = 478, alliance = 478 };
		[C_IDS.priest] = { horde = 336, alliance = 336 };
		[C_IDS.deathknight] = { horde = 578, alliance = 578 };
		[C_IDS.shaman] = { horde = 427, alliance = 427 };
		[C_IDS.mage] = { horde = 529, alliance = 529 };
		[C_IDS.warlock] = { horde = 461, alliance = 461 };
		[C_IDS.monk] = { horde = 513, alliance = 513 };
		[C_IDS.druid] = { horde = 563, alliance = 563 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11758] = { --Solio del Trueno
		[C_IDS.warrior] = { horde = 441, alliance = 441 };
		[C_IDS.paladin] = { horde = 490, alliance = 490 };
		[C_IDS.hunter] = { horde = 542, alliance = 542 };
		[C_IDS.rogue] = { horde = 474, alliance = 474 };
		[C_IDS.priest] = { horde = 310, alliance = 310 };
		[C_IDS.deathknight] = { horde = 575, alliance = 575 };
		[C_IDS.shaman] = { horde = 424, alliance = 424 };
		[C_IDS.mage] = { horde = 526, alliance = 526 };
		[C_IDS.warlock] = { horde = 458, alliance = 458 };
		[C_IDS.monk] = { horde = 510, alliance = 510 };
		[C_IDS.druid] = { horde = 560, alliance = 560 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11759] = { --Asedio de Orgrimmar
		[C_IDS.warrior] = { horde = 438, alliance = 438 };
		[C_IDS.paladin] = { horde = 487, alliance = 487 };
		[C_IDS.hunter] = { horde = 539, alliance = 539 };
		[C_IDS.rogue] = { horde = 471, alliance = 471 };
		[C_IDS.priest] = { horde = 331, alliance = 331 };
		[C_IDS.deathknight] = { horde = 572, alliance = 572 };
		[C_IDS.shaman] = { horde = 421, alliance = 421 };
		[C_IDS.mage] = { horde = 523, alliance = 523 };
		[C_IDS.warlock] = { horde = 455, alliance = 455 };
		[C_IDS.monk] = { horde = 506, alliance = 506 };
		[C_IDS.druid] = { horde = 557, alliance = 557 };
		[C_IDS.demonhunter] = { horde = nil, alliance = nil };
	};
	[11760] = { --Tumba de Sargeras
		[C_IDS.warrior] = { horde = 1293, alliance = 1293 };
		[C_IDS.paladin] = { horde = 1313, alliance = 1313 };
		[C_IDS.hunter] = { horde = 1325, alliance = 1325 };
		[C_IDS.rogue] = { horde = 1305, alliance = 1305 };
		[C_IDS.priest] = { horde = 1309, alliance = 1309 };
		[C_IDS.deathknight] = { horde = 1337, alliance = 1337 };
		[C_IDS.shaman] = { horde = 1301, alliance = 1301 };
		[C_IDS.mage] = { horde = 1321, alliance = 1321 };
		[C_IDS.warlock] = { horde = 1297, alliance = 1297 };
		[C_IDS.monk] = { horde = 1317, alliance = 1317 };
		[C_IDS.druid] = { horde = 1329, alliance = 1329 };
		[C_IDS.demonhunter] = { horde = 1333, alliance = 1333 };
	};
	[11762] = { --Prueba del Valor
		[C_IDS.warrior] = { horde = 183, alliance = 183 };
		[C_IDS.paladin] = { horde = 183, alliance = 183 };
		[C_IDS.hunter] = { horde = 179, alliance = 179 };
		[C_IDS.rogue] = { horde = 175, alliance = 175 };
		[C_IDS.priest] = { horde = 171, alliance = 171 };
		[C_IDS.deathknight] = { horde = 183, alliance = 183 };
		[C_IDS.shaman] = { horde = 179, alliance = 179 };
		[C_IDS.mage] = { horde = 171, alliance = 171 };
		[C_IDS.warlock] = { horde = 171, alliance = 171 };
		[C_IDS.monk] = { horde = 175, alliance = 175 };
		[C_IDS.druid] = { horde = 175, alliance = 175 };
		[C_IDS.demonhunter] = { horde = 175, alliance = 175 };
	};
	[12020] = { --Antorus, el Trono Ardiente
		[C_IDS.warrior] = { horde = 1516, alliance = 1516 };
		[C_IDS.paladin] = { horde = 1496, alliance = 1496 };
		[C_IDS.hunter] = { horde = 1484, alliance = 1484 };
		[C_IDS.rogue] = { horde = 1504, alliance = 1504 };
		[C_IDS.priest] = { horde = 1500, alliance = 1500 };
		[C_IDS.deathknight] = { horde = 1472, alliance = 1472 };
		[C_IDS.shaman] = { horde = 1508, alliance = 1508 };
		[C_IDS.mage] = { horde = 1488, alliance = 1488 };
		[C_IDS.warlock] = { horde = 1512, alliance = 1512 };
		[C_IDS.monk] = { horde = 1492, alliance = 1492 };
		[C_IDS.druid] = { horde = 1480, alliance = 1480 };
		[C_IDS.demonhunter] = { horde = 1476, alliance = 1476 };
	};
	[12021] = { --Temporadas 5, 6 y 7 de Legion
		[C_IDS.warrior] = { horde = 1423, alliance = 1422 };
		[C_IDS.paladin] = { horde = 1413, alliance = 1412 };
		[C_IDS.hunter] = { horde = 1407, alliance = 1406 };
		[C_IDS.rogue] = { horde = 1417, alliance = 1416 };
		[C_IDS.priest] = { horde = 1415, alliance = 1414 };
		[C_IDS.deathknight] = { horde = 1401, alliance = 1400 };
		[C_IDS.shaman] = { horde = 1419, alliance = 1418 };
		[C_IDS.mage] = { horde = 1409, alliance = 1408 };
		[C_IDS.warlock] = { horde = 1421, alliance = 1420 };
		[C_IDS.monk] = { horde = 1411, alliance = 1410 };
		[C_IDS.druid] = { horde = 1405, alliance = 1404 };
		[C_IDS.demonhunter] = { horde = 1403, alliance = 1402 };
	};
	[12991] = { --Uldir
		[C_IDS.warrior] = { horde = 1650, alliance = 1650 };
		[C_IDS.paladin] = { horde = 1650, alliance = 1650 };
		[C_IDS.hunter] = { horde = 1646, alliance = 1646 };
		[C_IDS.rogue] = { horde = 1642, alliance = 1642 };
		[C_IDS.priest] = { horde = 1638, alliance = 1638 };
		[C_IDS.deathknight] = { horde = 1650, alliance = 1650 };
		[C_IDS.shaman] = { horde = 1646, alliance = 1646 };
		[C_IDS.mage] = { horde = 1638, alliance = 1638 };
		[C_IDS.warlock] = { horde = 1638, alliance = 1638 };
		[C_IDS.monk] = { horde = 1642, alliance = 1642 };
		[C_IDS.druid] = { horde = 1642, alliance = 1642 };
		[C_IDS.demonhunter] = { horde = 1642, alliance = 1642 };
	};
	[12993] = { --Temporada 1 de Battle for Azeroth y frente de guerra de Arathi
		[C_IDS.warrior] = { horde = 1675, alliance = 1663 };
		[C_IDS.paladin] = { horde = 1675, alliance = 1663 };
		[C_IDS.hunter] = { horde = 1672, alliance = 1660 };
		[C_IDS.rogue] = { horde = 1669, alliance = 1657 };
		[C_IDS.priest] = { horde = 1666, alliance = 1654 };
		[C_IDS.deathknight] = { horde = 1675, alliance = 1663 };
		[C_IDS.shaman] = { horde = 1672, alliance = 1660 };
		[C_IDS.mage] = { horde = 1666, alliance = 1654 };
		[C_IDS.warlock] = { horde = 1666, alliance = 1654 };
		[C_IDS.monk] = { horde = 1669, alliance = 1657 };
		[C_IDS.druid] = { horde = 1669, alliance = 1657 };
		[C_IDS.demonhunter] = { horde = 1669, alliance = 1657 };
	};
	[13385] = { --Batalla de Dazar'alor
		[C_IDS.warrior] = { horde = 1818, alliance = 1818 };
		[C_IDS.paladin] = { horde = 1818, alliance = 1818 };
		[C_IDS.hunter] = { horde = 1814, alliance = 1814 };
		[C_IDS.rogue] = { horde = 1810, alliance = 1810 };
		[C_IDS.priest] = { horde = 1806, alliance = 1806 };
		[C_IDS.deathknight] = { horde = 1818, alliance = 1818 };
		[C_IDS.shaman] = { horde = 1814, alliance = 1814 };
		[C_IDS.mage] = { horde = 1806, alliance = 1806 };
		[C_IDS.warlock] = { horde = 1806, alliance = 1806 };
		[C_IDS.monk] = { horde = 1810, alliance = 1810 };
		[C_IDS.druid] = { horde = 1810, alliance = 1810 };
		[C_IDS.demonhunter] = { horde = 1810, alliance = 1810 };
	};
	[13433] = { --Temporada 2 de Battle for Azeroth y frente de guerra de Costa Oscura
		[C_IDS.warrior] = { horde = 1745, alliance = 1775 };
		[C_IDS.paladin] = { horde = 1745, alliance = 1775 };
		[C_IDS.hunter] = { horde = 1752, alliance = 1782 };
		[C_IDS.rogue] = { horde = 1759, alliance = 1789 };
		[C_IDS.priest] = { horde = 1766, alliance = 1796 };
		[C_IDS.deathknight] = { horde = 1745, alliance = 1775 };
		[C_IDS.shaman] = { horde = 1752, alliance = 1782 };
		[C_IDS.mage] = { horde = 1766, alliance = 1796 };
		[C_IDS.warlock] = { horde = 1766, alliance = 1796 };
		[C_IDS.monk] = { horde = 1759, alliance = 1789 };
		[C_IDS.druid] = { horde = 1759, alliance = 1789 };
		[C_IDS.demonhunter] = { horde = 1759, alliance = 1789 };
	};
	[13571] = { --Palacio Eterno
		[C_IDS.warrior] = { horde = 1830, alliance = 1830 };
		[C_IDS.paladin] = { horde = 1830, alliance = 1830 };
		[C_IDS.hunter] = { horde = 1831, alliance = 1831 };
		[C_IDS.rogue] = { horde = 1832, alliance = 1832 };
		[C_IDS.priest] = { horde = 1833, alliance = 1833 };
		[C_IDS.deathknight] = { horde = 1830, alliance = 1830 };
		[C_IDS.shaman] = { horde = 1831, alliance = 1831 };
		[C_IDS.mage] = { horde = 1833, alliance = 1833 };
		[C_IDS.warlock] = { horde = 1833, alliance = 1833 };
		[C_IDS.monk] = { horde = 1832, alliance = 1832 };
		[C_IDS.druid] = { horde = 1832, alliance = 1832 };
		[C_IDS.demonhunter] = { horde = 1832, alliance = 1832 };
	};
	[14058] = { --Ny'alotha, Ciudad del Despertar
		[C_IDS.warrior] = { horde = 1982, alliance = 1982 };
		[C_IDS.paladin] = { horde = 1982, alliance = 1982 };
		[C_IDS.hunter] = { horde = 1986, alliance = 1986 };
		[C_IDS.rogue] = { horde = 1990, alliance = 1990 };
		[C_IDS.priest] = { horde = 1994, alliance = 1994 };
		[C_IDS.deathknight] = { horde = 1982, alliance = 1982 };
		[C_IDS.shaman] = { horde = 1986, alliance = 1986 };
		[C_IDS.mage] = { horde = 1994, alliance = 1994 };
		[C_IDS.warlock] = { horde = 1994, alliance = 1994 };
		[C_IDS.monk] = { horde = 1990, alliance = 1990 };
		[C_IDS.druid] = { horde = 1990, alliance = 1990 };
		[C_IDS.demonhunter] = { horde = 1990, alliance = 1990 };
	};
	[14059] = { --Temporada 4 de Battle for Azeroth
		[C_IDS.warrior] = { horde = 1951, alliance = 1951 };
		[C_IDS.paladin] = { horde = 1951, alliance = 1951 };
		[C_IDS.hunter] = { horde = 1957, alliance = 1957 };
		[C_IDS.rogue] = { horde = 1963, alliance = 1963 };
		[C_IDS.priest] = { horde = 1969, alliance = 1969 };
		[C_IDS.deathknight] = { horde = 1951, alliance = 1951 };
		[C_IDS.shaman] = { horde = 1957, alliance = 1957 };
		[C_IDS.mage] = { horde = 1969, alliance = 1969 };
		[C_IDS.warlock] = { horde = 1969, alliance = 1969 };
		[C_IDS.monk] = { horde = 1963, alliance = 1963 };
		[C_IDS.druid] = { horde = 1963, alliance = 1963 };
		[C_IDS.demonhunter] = { horde = 1963, alliance = 1963 };
	};
	[14614] = { --Castillo de Nathria
		[C_IDS.warrior] = { horde = 2150, alliance = 2150 };
		[C_IDS.paladin] = { horde = 2150, alliance = 2150 };
		[C_IDS.hunter] = { horde = 2154, alliance = 2154 };
		[C_IDS.rogue] = { horde = 2162, alliance = 2162 };
		[C_IDS.priest] = { horde = 2158, alliance = 2158 };
		[C_IDS.deathknight] = { horde = 2150, alliance = 2150 };
		[C_IDS.shaman] = { horde = 2154, alliance = 2154 };
		[C_IDS.mage] = { horde = 2158, alliance = 2158 };
		[C_IDS.warlock] = { horde = 2158, alliance = 2158 };
		[C_IDS.monk] = { horde = 2162, alliance = 2162 };
		[C_IDS.druid] = { horde = 2162, alliance = 2162 };
		[C_IDS.demonhunter] = { horde = 2162, alliance = 2162 };
	};
	[14831] = { --Temporada 1 de Shadowlands
		[C_IDS.warrior] = { horde = 2173, alliance = 2173 };
		[C_IDS.paladin] = { horde = 2173, alliance = 2173 };
		[C_IDS.hunter] = { horde = 2172, alliance = 2172 };
		[C_IDS.rogue] = { horde = 2171, alliance = 2171 };
		[C_IDS.priest] = { horde = 2170, alliance = 2170 };
		[C_IDS.deathknight] = { horde = 2173, alliance = 2173 };
		[C_IDS.shaman] = { horde = 2172, alliance = 2172 };
		[C_IDS.mage] = { horde = 2170, alliance = 2170 };
		[C_IDS.warlock] = { horde = 2170, alliance = 2170 };
		[C_IDS.monk] = { horde = 2171, alliance = 2171 };
		[C_IDS.druid] = { horde = 2171, alliance = 2171 };
		[C_IDS.demonhunter] = { horde = 2171, alliance = 2171 };
	};
}

private.ACHIVE_ZONES = {
	[11628] = { --That's So Last Millenium (PVE) (Bastión Nocturno)
		764, 765, 766, 767, 768, 769, 770, 771, 772 --The Nighthold
	};
	[11629] = { --Untamed Beauty (PVP) (Warlords temporada 1)
	};
	[11630] = { --More Like Win-dictive (PVP) (Temporadas 1 y 2 de Legion)
	};
	[11631] = { --Extreme Makeover: Fel Edition (PVE) (Ciudadela del Fuego Infernal)
		661, 662, 663, 664, 665, 666, 667, 668, 669, 670 --Hellfire Citadel
	};
	[11706] = { --The Original (PVP) (Temporada 1)
	};
	[11707] = { --No Mercy (PVP) (Temporada 2)
	};
	[11708] = { --With a Vengeance (PVP) (Temporada 3)
	};
	[11709] = { --Tough Threads (PVP) (Temporada 4)
	};
	[11710] = { --Lethal Looks (PVP) (Temporada 5)
	};
	[11711] = { --The Fierce and the Furious (PVP) (Temporada 6)
	};
	[11712] = { --Relentlessly Good Looking (PVP) (Temporada 7)
	};
	[11713] = { --Wrath of the Stitch King (PVP) (Temporada 8)
	};
	[11714] = { --Viciously Vintage (PVP) (Temporada 9)
	};
	[11715] = { --(Ruth)less is More (PVP) (Temporada 10)
	};
	[11716] = { --Cataclysmic Catwalk (PVP) (Temporada 11)
	};
	[11717] = { --Why Male(volent) Models? (PVP) (Temporada 12)
	};
	[11718] = { --Dressed to Oppress (PVP) (Temporada 13)
	};
	[11719] = { --It's Not Fashion Unless It Hurts (PVP) (Temporada 14)
	};
	[11720] = { --Wear It With Pride (PVP) (Temporada 15)
	};
	[11721] = { --Wild Style (PVP) (Warlords temporada 2)
	};
	[11722] = { --War-Mog-ering (PVP) (Warlords temporada 3)
	};
	[11723] = { --Cruel Intentions (PVP) (Temporadas 3 y 4 de Legion)
	};
	[11740] = { --Make it W-orc W-orc (PVE) (Fundición Roca Negra)
		596, 597, 598, 599, 600	 --Blackrock Foundry
	};
	[11741] = { --So Hot Right Now (PVE) (Núcleo de Magma)
		232	 --Molten Core
	};
	[11742] = { --Dress in Lairs (PVE) (Guarida de Alanegra)
		287, 288, 289, 290, --Blackwing Lair
		232	 --Molten Core
	};
	[11743] = { --Accessor-Eyes (PVE) (Templo de Ahn'Qiraj)
		327, --Temple of Ahn'Qiraj
		247	 --Ruins of Ahn'Qiraj
	};
	[11746] = { --Outlandish Style (PVE) (Guarida de Gruul)
		330, --Gruul's Lair
		350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, --Karazhan
		331  --Magtheridon's Lair
	};
	[11747] = { --Outlandish Style (PVE) (Caverna Santuario Serpiente)
		332, --Serpentshrine Cavern
		141, 828, 881  --The Eye
	};
	[11748] = { --Black is the New Black (PVE) (Templo Oscuro)
		329, --Hyjal Summit
		490, 491, 492, 493, 494, 495, 496, 497 --Black Temple
	};
	[11749] = { --Suns Out, Thori'dals Out (PVE) (Meseta de La Fuente del Sol)
		335, 336  --Sunwell Plateau
	};
	[11750] = { --Suns Out, Thori'dals Out (PVE) (Naxxramas)
		162, 163, 164, 165, 166, 167 --Naxxramas
	};
	[11751] = { --Mogg-Saron (PVE) (Ulduar)
		147, 148, 149, 150, 151, 152 --Ulduar
	};
	[11752] = { --Style of the Crusader (PVE) (Prueba del Cruzado)
		172, 173, --Trial of the Crusader
		156	 --Vault of Archavon
	};
	[11753] = { --Winter Catalog (PVE) (Ciudadela de la Corona de Hielo)
		186, 187, 188, 189, 190, 191, 192, 193  --Icecrown Citadel
	};
	[11754] = { --Glamour of Twilight (PVE) (El Bastión del crepúsculo)
		294, 295, 296, --The Bastion of Twilight
		285, 286 --Blackwing Descent
	};
	[11755] = { --Hot Couture (PVE) (Tierras de fuego)
		367, 368, 369 --Firelands
	};
	[11756] = { --Wardrobe of the Old Gods (PVE) (Alma de Dragón)
		409, 410, 411, 412, 413, 414, 415 --Dragon Soul
	};
	[11757] = { --Sha of Fabulous (PVE) (Corazón del Miedo)
		474, 475, --Heart of Fear
		465	 --Terrace of Endless Spring
	};
	[11758] = { --Thunderwear (PVE) (Solio del Trueno)
		508, 509, 510, 511, 512, 513, 514, 515 --Throne of Thunder
	};
	[11759] = { --Yaass'shaarj (PVE) (Asedio de Orgrimmar)
		556, 557, 558, 559, 560, 561, 562, 563, 564, 565, 566, 567, 568, 569, 570 --Siege of Orgrimmar
	};
	[11760] = { --Retro Trend (PVE) (Tumba de Sargeras)
		850, 851, 852, 853, 854, 855, 856 --Tomb of Sargeras
	};
	[11762] = { --Can I Get A Helya (PVE) (Prueba del Valor)
		806, 807, 808 --Trial of Valor
	};
	[12020] = { --Argussy Up (PVE) (Antorus, el Trono Ardiente)
		909, 910, 911, 912, 913, 914, 915, 916, 917, 918, 920 --Antorus, the Burning Throne
	};
	[12021] = { --Claws Out (PVP) (Temporadas 5, 6 y 7 de Legion)
	};
	[13385] = { --Batalla de Dazar'alor
		1352, 1353, 1354, 1356, 1357, 1358, 1364, 1367
	};
	[13433] = { --Temporada 2 de Battle for Azeroth y frente de guerra de Costa Oscura
	};
	[13571] = { --Palacio Eterno
		1512, 1513, 1514, 1515, 1516, 1517, 1518, 1519, 1520
	};
	[14058] = { --Ny'alotha, Ciudad del Despertar
		1580, 1581, 1582, 1590, 1591, 1592, 1593, 1594, 1595, 1596, 1597
	};
	[14059] = { --Temporada 4 de Battle for Azeroth
	};
	[14614] = { --Castillo de Nathria
		1735, 1744, 1745, 1746, 1747, 1748, 1750, 1755
	};
	[14831] = { --Temporada 1 de Shadowlands
	};
} 